<?php

namespace Drupal\thesimpsons\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/*
 * Configure Simpsons settings.
 */
class TheSimpsonsConfigForm extends ConfigFormBase {

  /*
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'simpsons.form';
  }

  /*
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('thesimpsons.settings');
    $form['translate'] = [
      '#title' => $this->t('Translation'),
      '#type' => 'checkbox',
      '#default_value' => $config->get('translate'),
      '#description' => $this->t('Do you want to have The Simpsons quotes translated?')
    ];

    return parent::buildForm($form, $form_state);
  }

  /*
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('thesimpsons.settings');
    $config->set('translate', $form_state->getValue('translate'));
    $config->save();
  }

  protected function getEditableConfigNames() {
    return ['thesimpsons.settings'];
  }
}
